Saltar al contenido principal
GET
JavaScript

Autorizaciones

Authorization
string
header
requerido

Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.

Parámetros de ruta

id
string
requerido

Checkout Session ID

Respuesta

Checkout session successfully fetched

created_at
string<date-time>
requerido

Created at timestamp

id
string
requerido

Id of the checkout session

customer_email
string | null

Customer email: prefers payment's customer, falls back to session

customer_name
string | null

Customer name: prefers payment's customer, falls back to session

payment_id
string | null

Id of the payment created by the checkout sessions.

Null if checkout sessions is still at the details collection stage.

payment_status
null | enum<string>

status of the payment.

Null if checkout sessions is still at the details collection stage.

Opciones disponibles:
succeeded,
failed,
cancelled,
processing,
requires_customer_action,
requires_merchant_action,
requires_payment_method,
requires_confirmation,
requires_capture,
partially_captured,
partially_captured_and_capturable
Última modificación el 17 de agosto de 2026